using FluentValidation;

namespace Indotalent.Features.Purchase.PaymentDisburse.Cqrs;

public class CreatePaymentDisburseValidator : AbstractValidator<CreatePaymentDisburseRequest>
{
    public CreatePaymentDisburseValidator()
    {
        RuleFor(x => x.BillId).NotEmpty().WithMessage("Bill reference is required");
        RuleFor(x => x.PaymentDate).NotEmpty().WithMessage("Payment date is required");
        RuleFor(x => x.PaymentMethodId).NotEmpty().WithMessage("Payment method is required");
        RuleFor(x => x.PaymentAmount).GreaterThan(0).WithMessage("Amount must be greater than 0");
    }
}